Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cert::ServerSSLCert::CertInfo Struct Reference

Certificate information. More...

## Public Attributes
CommonAttributes | subject
| Subject attributes.
CommonAttributes | issuer
| Issuer attributes.
vector< string > | names
| DNS names and/or IP addresses.
string | invalidBefore
| Begin of validity period.
string | invalidAfter
| End of validity period.
string | serialNumber
| Serial number.
KeyType | keyType
| Key type.
EllipticCurve | ellipticCurve
| Selected elliptic curve (only relevant if key type is ECDSA)
int | rsaKeyLength
| Length of the RSA key in bits (only relevant if key type is RSA)

## Detailed Description

Certificate information.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl